Bug 993869 - man firewalld.richlanguage [NEEDINFO]
man firewalld.richlanguage
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: firewalld (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Thomas Woerner
Tomas Dolezal
:
Depends On:
Blocks: 980210
  Show dependency treegraph
 
Reported: 2013-08-06 08:42 EDT by Petr Sklenar
Modified: 2014-06-17 23:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:47:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jscotka: needinfo? (twoerner)


Attachments (Terms of Use)

  None (edit)
Description Petr Sklenar 2013-08-06 08:42:50 EDT
Description of problem:
see steps

Version-Release number of selected component (if applicable):
firewalld-0.3.4-1.fc19.noarch

How reproducible:
rfe

Steps to Reproduce:
man firewalld.richlanguage
there are some missing stuff:
 Which options should be used?
  * There is not mentioned options like --add-rich-rule/--remove-rich-rule/--list
  * examples could contain not only rule itself but full command line.


Actual results:
not mentioned any cmd line options

Expected results:
There is list of command line options: --*-rich-rules
There are examples with full command line options

Additional info:
Comment 3 Jiri Popelka 2013-08-26 11:13:16 EDT
(In reply to Petr Sklenar from comment #0)
> Expected results:
> There is list of command line options: --*-rich-rules
> There are examples with full command line options

firewalld.richlanguage(5) describes the format of rich language rules generally.
This format is used not only by firewall-cmd but also in D-Bus interface, therefore it's been separated into this man page.

I've added a note into the examples section:
https://git.fedorahosted.org/cgit/firewalld.git/commit/?id=ca7067cdb7644d0457c9c42d47e66920310e1e34
Comment 7 Ludek Smid 2014-06-13 08:47:26 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.